PART
	{	name = SimplexPart_TrussSupplies_10
		module = Part
		author = theJesuit, UbioZurWeldingLtd
		rescaleFactor = 1
		node_stack_top = 0, 1.875, 0, 0, 1, 0, 2
		node_stack_bottom = 0, -1.875, 0, 0, -1, 0, 2
		node_attach = 0, 0, -0.625, 0, 0, 0, 0
		CrewCapacity = 0
		TechRequired = generalConstruction
		entryCost = 1500
		cost = 1500
		category = Structural
		subcategory = 0
		title = #simplexpart_title_TrussSupplies_10
		manufacturer = #simplexpart_manufacturer_Truss
		description = #simplexpart_description_TrussSupplies_10
		attachRules = 1,1,1,1,0,0,0
		mass = 0.95
		dragModelType = default
		maximum_drag = 0.2
		minimum_drag = 0.2
		angularDrag = 1.
		crashTolerance = 50
		breakingForce = 500
		breakingTorque = 500
		maxTemp = 1000
		fuelCrossFeed = True
		explosionPotential = 0.5
		thermalMassModifier = 1
		heatConductivity = 0.12
		emissiveConstant = 0.40
		radiatorHeadroom = 0.25
		bulkheadProfiles = stationTruss

		MODULE		{	name = ModuleCargoPart
						packedVolume = -1
					}
					
		RESOURCE	{	name = MonoPropellant
						amount = 240
						maxAmount = 240
					}

		RESOURCE	{	name = ElectricCharge
						amount = 3200
						maxAmount = 3200
					}

		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Structural/trussGirderXL/model
				position = 0, 0, 0						
				scale = 2, 1, 2
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Structural/strutOcto/model
				position = 0, 1.63, 0
				scale = 2.25, 1.8, 2.25
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Structural/strutOcto/model
				position = 0, -1.63, 0
				scale = 2.25, -1.8, 2.25
				rotation = 0, 180, 180
			}

		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/FuelTank/RCStankRadialLong/model
				position = 0.047, 0.731, 0.047
				scale = 1, 1, 1
				rotation = 0, 45, 0
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/FuelTank/RCStankRadialLong/model
				position = -0.047, 0.731, -0.047
				scale = 1, 1, 1
				rotation = 0, 225, 0
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Electrical/z-400Battery/model
				position = 0.256, 1.152, -0.256
				scale = 1, 1, 1
				rotation = 0, 315, 0
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Electrical/z-400Battery/model
				position = -0.256, 1.152, 0.256
				scale = 1, 1, 1
				rotation = 0, 135, 0
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Electrical/z-400Battery/model
				position = 0.256, 0.312, -0.256
				scale = 1, 1, 1
				rotation = 0, 315, 180
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Electrical/z-400Battery/model
				position = -0.256, 0.312, 0.256
				scale = 1, 1, 1
				rotation = 0, 135, 180
			}

		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/FuelTank/RCStankRadialLong/model
				position = 0.047, -0.731, 0.047
				scale = 1, -1, 1
				rotation = 0, 45, 0
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/FuelTank/RCStankRadialLong/model
				position = -0.047, -0.731, -0.047
				scale = 1, -1, 1
				rotation = 0, 225, 0
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Electrical/z-400Battery/model
				position = 0.256, -1.152, -0.256
				scale = 1, -1, 1
				rotation = 0, 315, 0
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Electrical/z-400Battery/model
				position = -0.256, -1.152, 0.256
				scale = 1, -1, 1
				rotation = 0, 135, 0
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Electrical/z-400Battery/model
				position = 0.256, -0.312, -0.256
				scale = 1, -1, 1
				rotation = 0, 315, 180
			}
		MODEL:NEEDS[!ReStock]
			{	model = Squad/Parts/Electrical/z-400Battery/model
				position = -0.256, -0.312, 0.256
				scale = 1, -1, 1
				rotation = 0, 135, 180
			}

		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Structural/restock-truss-2
				position = 0, 0, 0
				scale = 2, 1, 2
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Structural/restock-truss-adapter-0625-1
				position = 0, 1.512, 0
				scale = 2, 1.333, 2
				rotation = 0, 180, 180
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Structural/restock-truss-adapter-0625-1
				position = 0, -1.512, 0
				scale = 2, 1.333, 2
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/FuelTank/restock-fueltank-rcs-radial-2
				position = 0.101, 1, -0.101
				scale = 1, 1, 1
				rotation = 0, 135, 0
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/FuelTank/restock-fueltank-rcs-radial-2
				position = -0.101, 1, 0.101
				scale = 1, 1, 1
				rotation = 0, 315, 0
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/FuelTank/restock-fueltank-rcs-radial-2
				position = 0.101, -1, -0.101
				scale = 1, 1, 1
				rotation = 0, 135, 0
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/FuelTank/restock-fueltank-rcs-radial-2
				position = -0.101, -1, 0.101
				scale = 1, 1, 1
				rotation = 0, 315, 0
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/FuelTank/restock-fueltank-rcs-radial-1
				position = -0.283, 0, 0.283
				scale = 1, 1, 1
				rotation = 0, 135, 0
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/FuelTank/restock-fueltank-rcs-radial-1
				position = 0.283, 0, -0.283
				scale = 1, 1, 1
				rotation = 0, 315, 0
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Electrical/restock-battery-radial-med-1
				position = 0.141, 1.4, 0.141
				scale = 1, 1, 1
				rotation = 0, 225, 0
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Electrical/restock-battery-radial-med-1
				position = -0.141, 1.4, -0.141
				scale = 1, 1, 1
				rotation = 0, 45, 0
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Electrical/restock-battery-radial-med-1
				position = 0.141, 0.6, 0.141
				scale = 1, 1, 1
				rotation = 0, 225, 180
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Electrical/restock-battery-radial-med-1
				position = -0.141, 0.6, -0.141
				scale = 1, 1, 1
				rotation = 0, 45, 180
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Electrical/restock-battery-radial-med-1
				position = 0.141, -1.4, 0.141
				scale = 1, 1, 1
				rotation = 0, 225, 180
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Electrical/restock-battery-radial-med-1
				position = -0.141, -1.4, -0.141
				scale = 1, 1, 1
				rotation = 0, 45, 180
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Electrical/restock-battery-radial-med-1
				position = 0.141, -0.6, 0.141
				scale = 1, 1, 1
				rotation = 0, 225, 0
			}
		MODEL:NEEDS[ReStock]
			{	model = ReStock/Assets/Electrical/restock-battery-radial-med-1
				position = -0.141, -0.6, -0.141
				scale = 1, 1, 1
				rotation = 0, 45, 0
			}


		MODULE:NEEDS[ReStock]
			{	name = ModulePartVariants
				useMultipleDragCubes = false
				baseVariant = Hollow
				VARIANT
					{	name = Hollow
						displayName = Truss
						primaryColor = #6f6e6d
						GAMEOBJECTS
							{	GirderXL = true
								GirderXLBlankets = false
							}
					}
			}
	}

@PART[SimplexPart_TrussSupplies_10]:NEEDS[KerbalismSimplex]
	{	RESOURCE
			{	name = Air
				amount = 640
				maxAmount = 640
			}
	}